//``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'-.,_,.='
//																						//
// PhEx Function Library v1.0															//
// The MIT License (MODIFIED)															//
//																						//
// Copyright (c) 2002 Jake Bordens														//
//																						//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this //
// software and associated documentation files (the "Software"), to deal in the  		//
// Software without restriction, including without limitation the rights to use, copy, 	//
// modify, merge, publish, distribute, sublicense, and/or sell copies of the  Software,	//
// and to permit persons to whom the Software is furnished to do so,  subject to the 	//
// following conditions:																//
//																						//
// The above copyright notice and this permission notice shall be included in all 		//
// copies or substantial portions of the Software.										//
//																						//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR  IMPLIED, //
// INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS  FOR A 		//
// PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR  COPYRIGHT 	//
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN  AN ACTION 	//
// OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION  WITH THE 		//
// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.								//
//																						//
// Other Terms																			//
// - If you chose to make a derivative work using the techniques found in this library,	//
//   a free license for the author is requested, but not required.						//
// - Including a copy of this license with your software is not expressly required, 	//
//   so long as you assume all liability, and it is clear that the terms of the 		//
//   disclaimer apply to the author and/or copyright holder of this library in all 		//
//   circumstances.																		//
//																						//
//``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'-.,_,.//


//PhEx Prototypes
#include "PhEx.h"

//base functions
void voidvoid(int num) {
	void **funcs;
	void (*func)();

	if (!FtrGet('PhEx', 1, (UInt32*)&funcs)) {
		func = funcs[num];
		func();
	}

}

void voidchar(int num, char param) {
	void **funcs;
	void (*func)(char);

	if (!FtrGet('PhEx', 1, (UInt32*)&funcs)) {
		func = funcs[num];
		(*func)(param);
	}
}

char charvoid(int num) {
	void **funcs;
	char (*func)();

	if (!FtrGet('PhEx', 1, (UInt32*)&funcs)) {
		func = funcs[num];
		return func();
	}
}



void stbInit() 						{ voidvoid(0); }

void stbClear()						{ voidvoid(1); }

void stbRedraw()					{ voidvoid(2); }

void stbPowerOff()					{ voidvoid(3); }

void stbDisplayNetwork(char param)  { voidchar(4, param); }

void stbDisplayPhone(char param)	{ voidchar(5, param); }

char stbGetPhoneFs()				{ return charvoid(6); }

void stbDisplayRoaming(char param)  { voidchar(7, param); }

void stbDisplaySMS(char param)		{ voidchar(8, param); }

char stbGetSmsFs()					{ return charvoid(9); }

void stbDisplayFax(char param)		{ voidchar(10, param); }

void stbDisplayFD(char param)		{ voidchar(11, param); }

void stbDisplayVibrate(char param)	{ voidchar(12, param); }

void stbDisplayBattery(char param)	{ voidchar(13, param); }

char stbGetBatteryFs()				{ return charvoid(14); }

void stbProcessEvent(char param)	{ voidchar(15, param); }

void WinSetExtendedWindow(char param)	{ voidchar(16, param); }

void EvtEnableSoftKeys(char param)				{ voidchar(17, param); }

void EvtEnableExtAppAreaBottom(char param)		{ voidchar(18, param); }

void WinSetTemporaryInput(char param)	{ voidchar(19, param); }

void WinSetTemporaryInputListMode(char param)	{ voidchar(20, param); }

void stbReinit()								{ voidvoid(21); }

